diff --git a/wcs/forms/root.py b/wcs/forms/root.py
index dcb182de..29364643 100644
--- a/wcs/forms/root.py
+++ b/wcs/forms/root.py
@@ -24,34 +24,42 @@ try:
 except ImportError:
     qrcode = None
 
+import ratelimit.utils
 from django.utils.http import quote
 from django.utils.safestring import mark_safe
-
-import ratelimit.utils
-
-from quixote import get_publisher, get_request, get_response, get_session, get_session_manager, redirect
-from quixote.directory import Directory, AccessControlled
-from quixote.util import randbytes
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
+from quixote import get_session
+from quixote import get_session_manager
+from quixote import redirect
+from quixote.directory import AccessControlled
+from quixote.directory import Directory
 from quixote.form.widget import *
-from quixote.html import TemplateIO, htmltext
-
-from ..qommon import _, N_
-from ..qommon.admin.emails import EmailsDirectory
-from ..qommon import errors, get_cfg
-from ..qommon import misc, get_logger
-from ..qommon import template
-from ..qommon.form import *
-from ..qommon import emails
+from quixote.html import TemplateIO
+from quixote.html import htmltext
+from quixote.util import randbytes
 
 from wcs.categories import Category
-from wcs.formdef import FormDef
 from wcs.formdata import FormData
+from wcs.formdef import FormDef
 from wcs.forms.common import FormTemplateMixin
-from wcs.variables import LazyFormDef
+from wcs.qommon.admin.texts import TextsDirectory
 from wcs.roles import logged_users_role
-from wcs.workflows import Workflow, WorkflowBackofficeFieldsFormDef
+from wcs.variables import LazyFormDef
+from wcs.workflows import Workflow
+from wcs.workflows import WorkflowBackofficeFieldsFormDef
 
-from wcs.qommon.admin.texts import TextsDirectory
+from ..qommon import N_
+from ..qommon import _
+from ..qommon import emails
+from ..qommon import errors
+from ..qommon import get_cfg
+from ..qommon import get_logger
+from ..qommon import misc
+from ..qommon import template
+from ..qommon.admin.emails import EmailsDirectory
+from ..qommon.form import *
 
 
 class SubmittedDraftException(Exception):
diff --git a/wcs/forms/workflows.py b/wcs/forms/workflows.py
index 187ff976..d9bdae53 100644
--- a/wcs/forms/workflows.py
+++ b/wcs/forms/workflows.py
@@ -16,14 +16,17 @@
 
 import json
 
-from quixote import get_request, get_response
+from quixote import get_request
+from quixote import get_response
 from quixote.directory import Directory
 
-from ..qommon import errors
-
-from wcs.api import get_user_from_api_query_string, is_url_signed
+from wcs.api import get_user_from_api_query_string
+from wcs.api import is_url_signed
 from wcs.roles import logged_users_role
-from wcs.workflows import WorkflowGlobalActionWebserviceTrigger, perform_items
+from wcs.workflows import WorkflowGlobalActionWebserviceTrigger
+from wcs.workflows import perform_items
+
+from ..qommon import errors
 
 
 class HookDirectory(Directory):
diff --git a/wcs/mail_templates.py b/wcs/mail_templates.py
index 632153fe..6071c6a5 100644
--- a/wcs/mail_templates.py
+++ b/wcs/mail_templates.py
@@ -14,7 +14,8 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from wcs.qommon import misc, get_logger
+from wcs.qommon import get_logger
+from wcs.qommon import misc
 from wcs.qommon.xml_storage import XmlStorableObject
 
 
diff --git a/wcs/middleware.py b/wcs/middleware.py
index fe8c4459..ed07a3c5 100644
--- a/wcs/middleware.py
+++ b/wcs/middleware.py
@@ -19,14 +19,16 @@ import threading
 import time
 import urllib.parse
 
-from django.http import HttpResponseBadRequest, HttpResponseRedirect
+from django.http import HttpResponseBadRequest
+from django.http import HttpResponseRedirect
 from django.utils.deprecation import MiddlewareMixin
-
 from quixote import get_publisher
 from quixote.errors import RequestError
-from .qommon.publisher import ImmediateRedirectException
+
+from .compat import CompatHTTPRequest
+from .compat import CompatWcsPublisher
 from .qommon.http_response import HTTPResponse
-from .compat import CompatHTTPRequest, CompatWcsPublisher
+from .qommon.publisher import ImmediateRedirectException
 
 
 class PublisherInitialisationMiddleware(MiddlewareMixin):
diff --git a/wcs/myspace.py b/wcs/myspace.py
index cdfc571b..92b1737b 100644
--- a/wcs/myspace.py
+++ b/wcs/myspace.py
@@ -14,7 +14,9 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from quixote import get_request, redirect
+from quixote import get_request
+from quixote import redirect
+
 from .qommon import myspace
 
 
diff --git a/wcs/portfolio.py b/wcs/portfolio.py
index f02a7622..e545a51d 100644
--- a/wcs/portfolio.py
+++ b/wcs/portfolio.py
@@ -14,20 +14,30 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-import json
-import hashlib
 import base64
+import hashlib
+import json
 import urllib.parse
 
 from django.utils.encoding import force_text
-
-from .qommon import N_, get_logger
-from .qommon.misc import http_get_page, json_loads, http_post_request, urlopen
-from quixote import get_publisher, get_request, get_response, redirect, get_session
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
+from quixote import get_session
+from quixote import redirect
 from quixote.directory import Directory
-from quixote.html import TemplateIO, htmltext
-
-from wcs.api_utils import get_secret_and_orig, sign_url
+from quixote.html import TemplateIO
+from quixote.html import htmltext
+
+from wcs.api_utils import get_secret_and_orig
+from wcs.api_utils import sign_url
+
+from .qommon import N_
+from .qommon import get_logger
+from .qommon.misc import http_get_page
+from .qommon.misc import http_post_request
+from .qommon.misc import json_loads
+from .qommon.misc import urlopen
 
 
 def has_portfolio():
diff --git a/wcs/publisher.py b/wcs/publisher.py
index b41a2182..9bbd0822 100644
--- a/wcs/publisher.py
+++ b/wcs/publisher.py
@@ -14,7 +14,6 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from contextlib import contextmanager
 import decimal
 import json
 import os
@@ -25,6 +24,7 @@ import socket
 import sys
 import traceback
 import zipfile
+from contextlib import contextmanager
 
 from django.utils.encoding import force_text
 from django.utils.formats import localize
@@ -37,7 +37,11 @@ except ImportError:
     pass
 
 from wcs.qommon import force_str
-from .qommon.publisher import set_publisher_class, QommonPublisher, get_request
+
+from .qommon.publisher import QommonPublisher
+from .qommon.publisher import get_request
+from .qommon.publisher import set_publisher_class
+
 
 # this is terribly ugly but import RootDirectory will import a bunch of things,
 # and some of them need a publisher to be set
@@ -48,18 +52,17 @@ class StubWcsPublisher(QommonPublisher):
 set_publisher_class(StubWcsPublisher)
 
 
-from .root import RootDirectory
-from .backoffice import RootDirectory as BackofficeRootDirectory
-from .admin import RootDirectory as AdminRootDirectory
+import pickle
+
 from . import custom_views
 from . import sessions
+from .admin import RootDirectory as AdminRootDirectory
+from .backoffice import RootDirectory as BackofficeRootDirectory
 from .qommon.cron import CronJob
-
 from .roles import Role
-from .users import User
+from .root import RootDirectory
 from .tracking_code import TrackingCode
-
-import pickle
+from .users import User
 
 
 class UnpicklerClass(pickle.Unpickler):
@@ -276,8 +279,8 @@ class WcsPublisher(StubWcsPublisher):
                 results['workflows'] += 1
 
         # fourth pass, forms and cards
-        from wcs.formdef import FormDef
         from wcs.carddef import CardDef
+        from wcs.formdef import FormDef
 
         formdefs = []
         carddefs = []
@@ -357,8 +360,8 @@ class WcsPublisher(StubWcsPublisher):
         sql.do_snapshots_table()
         sql.do_loggederrors_table()
         sql.do_meta_table()
-        from .formdef import FormDef
         from .carddef import CardDef
+        from .formdef import FormDef
 
         conn, cur = sql.get_connection_and_cursor()
         sql.drop_views(None, conn, cur)
@@ -404,7 +407,8 @@ class WcsPublisher(StubWcsPublisher):
             self.loggederror_class.record(*args, **kwargs)
 
     def apply_global_action_timeouts(self):
-        from wcs.workflows import Workflow, WorkflowGlobalActionTimeoutTrigger
+        from wcs.workflows import Workflow
+        from wcs.workflows import WorkflowGlobalActionTimeoutTrigger
 
         for workflow in Workflow.select():
             WorkflowGlobalActionTimeoutTrigger.apply(workflow)
diff --git a/wcs/qommon/__init__.py b/wcs/qommon/__init__.py
index 3e938eac..bb8d1e98 100644
--- a/wcs/qommon/__init__.py
+++ b/wcs/qommon/__init__.py
@@ -21,7 +21,6 @@ import threading
 import django.apps
 from django.conf import settings
 from django.utils.encoding import force_text
-
 from quixote import get_publisher
 
 try:
@@ -56,8 +55,10 @@ def N_(x):
     return x
 
 
-from .publisher import get_cfg, get_logger, get_publisher_class
 from . import publisher
+from .publisher import get_cfg
+from .publisher import get_logger
+from .publisher import get_publisher_class
 
 publisher._ = _
 
diff --git a/wcs/qommon/admin/emails.py b/wcs/qommon/admin/emails.py
index 5a6d9280..3da58c1e 100644
--- a/wcs/qommon/admin/emails.py
+++ b/wcs/qommon/admin/emails.py
@@ -16,13 +16,15 @@
 
 from quixote import redirect
 from quixote.directory import Directory
-from quixote.html import htmltext, TemplateIO
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
 from .. import _
-from ..form import *
-from .. import misc, get_cfg
-from ..backoffice.menu import html_top
+from .. import get_cfg
+from .. import misc
 from ..admin.cfg import cfg_submit
+from ..backoffice.menu import html_top
+from ..form import *
 
 
 class EmailsDirectory(Directory):
diff --git a/wcs/qommon/admin/logger.py b/wcs/qommon/admin/logger.py
index 59f16db9..65093821 100644
--- a/wcs/qommon/admin/logger.py
+++ b/wcs/qommon/admin/logger.py
@@ -17,14 +17,18 @@
 import os
 import random
 
-from quixote import get_publisher, get_request, get_response
-from quixote.html import htmltext, TemplateIO
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
 from quixote.directory import Directory
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
 from .. import _
-from .. import logger, errors
-from ..backoffice.menu import html_top
+from .. import errors
+from .. import logger
 from ..admin.menu import error_page
+from ..backoffice.menu import html_top
 
 
 class ByUserDirectory(Directory):
diff --git a/wcs/qommon/admin/menu.py b/wcs/qommon/admin/menu.py
index 12954e37..8bd85be7 100644
--- a/wcs/qommon/admin/menu.py
+++ b/wcs/qommon/admin/menu.py
@@ -14,12 +14,16 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from quixote import get_publisher, get_request
-from quixote.html import TemplateIO, htmltext
+import re
+
+from quixote import get_publisher
+from quixote import get_request
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
-from .. import _, N_
+from .. import N_
+from .. import _
 from ..backoffice.menu import html_top
-import re
 
 
 def _find_vc_version():
diff --git a/wcs/qommon/admin/settings.py b/wcs/qommon/admin/settings.py
index 223e828d..1f093c47 100644
--- a/wcs/qommon/admin/settings.py
+++ b/wcs/qommon/admin/settings.py
@@ -15,13 +15,16 @@
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
 from quixote import redirect
-from quixote.directory import Directory, AccessControlled
-from quixote.html import TemplateIO, htmltext
+from quixote.directory import AccessControlled
+from quixote.directory import Directory
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
-from .. import _, N_
-from ..form import *
+from .. import N_
+from .. import _
 from ..admin.cfg import cfg_submit
 from ..backoffice.menu import html_top
+from ..form import *
 
 
 class SettingsDirectory(AccessControlled, Directory):
diff --git a/wcs/qommon/admin/texts.py b/wcs/qommon/admin/texts.py
index c9e6eb8a..a991d96e 100644
--- a/wcs/qommon/admin/texts.py
+++ b/wcs/qommon/admin/texts.py
@@ -16,14 +16,18 @@
 
 import os
 
-from quixote import redirect, get_publisher
-from quixote.html import TemplateIO, htmltext
+from quixote import get_publisher
+from quixote import redirect
 from quixote.directory import Directory
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
 from wcs.qommon import _
-from wcs.qommon.form import *
-from wcs.qommon import misc, get_cfg, ezt
+from wcs.qommon import ezt
+from wcs.qommon import get_cfg
+from wcs.qommon import misc
 from wcs.qommon.backoffice.menu import html_top
+from wcs.qommon.form import *
 from wcs.qommon.template import Template
 
 
diff --git a/wcs/qommon/afterjobs.py b/wcs/qommon/afterjobs.py
index 15bb387f..213d76c4 100644
--- a/wcs/qommon/afterjobs.py
+++ b/wcs/qommon/afterjobs.py
@@ -19,10 +19,13 @@ import time
 import traceback
 import uuid
 
-from quixote import get_publisher, get_response
+from quixote import get_publisher
+from quixote import get_response
 from quixote.directory import Directory
 
-from . import _, N_, errors
+from . import N_
+from . import _
+from . import errors
 from .storage import StorableObject
 
 
diff --git a/wcs/qommon/backoffice/listing.py b/wcs/qommon/backoffice/listing.py
index ad482f11..7bba4e86 100644
--- a/wcs/qommon/backoffice/listing.py
+++ b/wcs/qommon/backoffice/listing.py
@@ -16,8 +16,11 @@
 
 import urllib.parse
 
-from quixote.html import htmltext, TemplateIO
-from quixote import get_request, get_response, get_publisher
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
 from .. import _
 
diff --git a/wcs/qommon/backoffice/menu.py b/wcs/qommon/backoffice/menu.py
index a408fda9..c8fcd480 100644
--- a/wcs/qommon/backoffice/menu.py
+++ b/wcs/qommon/backoffice/menu.py
@@ -14,11 +14,15 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from quixote import get_response, get_request, get_publisher, get_session
-from quixote.html import htmltext, TemplateIO
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
+from quixote import get_session
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
-from .. import get_cfg
 from .. import _
+from .. import get_cfg
 
 
 def generate_header_menu(selected=None):
diff --git a/wcs/qommon/backoffice/root.py b/wcs/qommon/backoffice/root.py
index eee967f6..b148b8cf 100644
--- a/wcs/qommon/backoffice/root.py
+++ b/wcs/qommon/backoffice/root.py
@@ -14,7 +14,8 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
-from quixote.directory import Directory, AccessControlled
+from quixote.directory import AccessControlled
+from quixote.directory import Directory
 
 
 class BackofficeRootDirectory(AccessControlled, Directory):
diff --git a/wcs/qommon/emails.py b/wcs/qommon/emails.py
index 8c2068a7..c91bb631 100644
--- a/wcs/qommon/emails.py
+++ b/wcs/qommon/emails.py
@@ -17,7 +17,8 @@
 import os
 import pwd
 import re
-
+import smtplib
+import socket
 from email import encoders
 from email.header import Header
 from email.mime.application import MIMEApplication
@@ -28,8 +29,6 @@ from email.mime.multipart import MIMEMultipart
 from email.mime.nonmultipart import MIMENonMultipart
 from email.mime.text import MIMEText
 from email.utils import formataddr
-import smtplib
-import socket
 
 try:
     import docutils
@@ -42,13 +41,15 @@ except ImportError:
 
 from django.template.loader import render_to_string
 from django.utils.safestring import mark_safe
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
 
-from quixote import get_request, get_response, get_publisher
-
-from .publisher import get_cfg, get_logger
-from . import force_str
 from . import errors
+from . import force_str
 from .admin.emails import EmailsDirectory
+from .publisher import get_cfg
+from .publisher import get_logger
 from .template import Template
 
 try:
diff --git a/wcs/qommon/errors.py b/wcs/qommon/errors.py
index 0773d358..bf30d3ea 100644
--- a/wcs/qommon/errors.py
+++ b/wcs/qommon/errors.py
@@ -16,12 +16,14 @@
 
 import urllib.parse
 
-from quixote import get_publisher
 import quixote
+from quixote import get_publisher
 from quixote.errors import *
-from quixote.html import TemplateIO, htmltext
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
-from . import N_, template
+from . import N_
+from . import template
 
 
 class AccessForbiddenError(AccessError):
diff --git a/wcs/qommon/ezt.py b/wcs/qommon/ezt.py
index 4f661582..d98afb31 100644
--- a/wcs/qommon/ezt.py
+++ b/wcs/qommon/ezt.py
@@ -226,8 +226,8 @@ Directives
 import datetime
 import html
 import io
-import re
 import os
+import re
 
 #
 # Formatting types
@@ -734,7 +734,8 @@ def _write_value(valrefs, fp, ctx, format=lambda s: s):
 
         fp.write(localstrftime(value))
     elif isinstance(value, datetime.date):
-        from .misc import strftime, date_format
+        from .misc import date_format
+        from .misc import strftime
 
         fp.write(strftime(date_format(), value))
     # plain old value, write to output
diff --git a/wcs/qommon/form.py b/wcs/qommon/form.py
index 509157de..bb1b0c16 100644
--- a/wcs/qommon/form.py
+++ b/wcs/qommon/form.py
@@ -17,20 +17,20 @@
 import base64
 import collections
 import copy
+import datetime
 import fnmatch
+import hashlib
 import html
+import itertools
+import json
 import mimetypes
 import os
+import random
 import re
 import socket
 import sys
 import tempfile
 import time
-import random
-import datetime
-import itertools
-import hashlib
-import json
 
 try:
     from PIL import Image
@@ -56,30 +56,46 @@ except ImportError:
 
 import quixote
 import quixote.form.widget
-
-from quixote import get_publisher, get_request, get_response, get_session
+from django.conf import settings
+from django.utils.encoding import force_bytes
+from django.utils.encoding import force_text
+from django.utils.safestring import mark_safe
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
+from quixote import get_session
 from quixote.form import *
-from quixote.html import htmltext, htmltag, htmlescape, TemplateIO, stringify
+from quixote.html import TemplateIO
+from quixote.html import htmlescape
+from quixote.html import htmltag
+from quixote.html import htmltext
+from quixote.html import stringify
 from quixote.http_request import Upload
 from quixote.util import randbytes
 
-from django.utils.encoding import force_bytes, force_text
+from wcs.conditions import Condition
+from wcs.conditions import ValidationError
 
-from django.conf import settings
-from django.utils.safestring import mark_safe
-
-from .template import render as render_template, Template, TemplateError
 from ..portfolio import has_portfolio
-from wcs.conditions import Condition, ValidationError
-
-from . import _, ngettext, N_, force_str
+from . import N_
+from . import _
+from . import force_str
 from . import misc
-from .humantime import humanduration2seconds, seconds2humanduration, timewords
-from .misc import strftime, C_, HAS_PDFTOPPM, json_loads
+from . import ngettext
+from .humantime import humanduration2seconds
+from .humantime import seconds2humanduration
+from .humantime import timewords
+from .misc import C_
+from .misc import HAS_PDFTOPPM
+from .misc import json_loads
+from .misc import strftime
 from .publisher import get_cfg
+from .template import Template
+from .template import TemplateError
+from .template import render as render_template
 from .template_utils import render_block_to_string
-from .upload_storage import PicklableUpload, UploadStorageError
-
+from .upload_storage import PicklableUpload
+from .upload_storage import UploadStorageError
 
 QuixoteForm = Form
 
diff --git a/wcs/qommon/http_request.py b/wcs/qommon/http_request.py
index d037bcbe..b99e686b 100644
--- a/wcs/qommon/http_request.py
+++ b/wcs/qommon/http_request.py
@@ -19,9 +19,11 @@ import copy
 import re
 import time
 
-from django.utils.encoding import force_bytes, force_text
-from quixote import get_session, get_publisher
 import quixote.http_request
+from django.utils.encoding import force_bytes
+from django.utils.encoding import force_text
+from quixote import get_publisher
+from quixote import get_session
 from quixote.errors import RequestError
 
 from .http_response import HTTPResponse
diff --git a/wcs/qommon/http_response.py b/wcs/qommon/http_response.py
index 2dbab989..41c378af 100644
--- a/wcs/qommon/http_response.py
+++ b/wcs/qommon/http_response.py
@@ -15,14 +15,14 @@
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
 import hashlib
+import sys
 import time
 import traceback
-import sys
 
+import quixote.http_response
 from django.utils.encoding import force_bytes
 from quixote import get_publisher
-import quixote.http_response
-from quixote import get_publisher, get_request
+from quixote import get_request
 
 from . import N_
 from .afterjobs import AfterJob
diff --git a/wcs/qommon/humantime.py b/wcs/qommon/humantime.py
index 68c5be1e..a06b70fe 100644
--- a/wcs/qommon/humantime.py
+++ b/wcs/qommon/humantime.py
@@ -16,7 +16,9 @@
 
 import re
 
-from . import _, ngettext, N_
+from . import N_
+from . import _
+from . import ngettext
 
 _minute = 60
 _hour = 60 * 60
diff --git a/wcs/qommon/ident/franceconnect.py b/wcs/qommon/ident/franceconnect.py
index d30475db..6b47577b 100644
--- a/wcs/qommon/ident/franceconnect.py
+++ b/wcs/qommon/ident/franceconnect.py
@@ -21,31 +21,36 @@ import urllib.parse
 import uuid
 
 from django.utils.encoding import force_bytes
-
-from quixote import redirect, get_session, get_publisher, get_request, get_session_manager
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_session
+from quixote import get_session_manager
+from quixote import redirect
 from quixote.directory import Directory
-from quixote.html import htmltext, TemplateIO
 from quixote.errors import QueryError
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
-from .. import _, N_
-from ..backoffice.menu import html_top
-from .. import template, get_cfg, get_logger
-from ..form import (
-    Form,
-    StringWidget,
-    CompositeWidget,
-    ComputedExpressionWidget,
-    SingleSelectWidget,
-    WidgetListAsTable,
-)
-from ..misc import http_post_request, http_get_page, json_loads
-
-from wcs.workflows import WorkflowStatusItem
 from wcs.formdata import flatten_dict
+from wcs.workflows import WorkflowStatusItem
 
+from .. import N_
+from .. import _
+from .. import get_cfg
+from .. import get_logger
+from .. import template
+from ..backoffice.menu import html_top
+from ..form import CompositeWidget
+from ..form import ComputedExpressionWidget
+from ..form import Form
+from ..form import SingleSelectWidget
+from ..form import StringWidget
+from ..form import WidgetListAsTable
+from ..misc import http_get_page
+from ..misc import http_post_request
+from ..misc import json_loads
 from .base import AuthMethod
 
-
 ADMIN_TITLE = N_('FranceConnect')
 
 # XXX: make an OIDC auth method that FranceConnect would inherit from
diff --git a/wcs/qommon/ident/idp.py b/wcs/qommon/ident/idp.py
index fbc340f3..30ac1e11 100644
--- a/wcs/qommon/ident/idp.py
+++ b/wcs/qommon/ident/idp.py
@@ -22,28 +22,31 @@ try:
 except ImportError:
     lasso = None
 
-from django.utils.encoding import force_bytes, force_text
-
+from django.utils.encoding import force_bytes
+from django.utils.encoding import force_text
+from quixote import get_publisher
+from quixote import get_response
+from quixote import get_session
+from quixote import redirect
 from quixote.directory import Directory
-from quixote import redirect, get_session, get_response, get_publisher
-from quixote.html import htmltext, TemplateIO
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
-from .. import _, N_
-from .. import misc, get_cfg, get_logger
-from ..form import *
-from ..tokens import Token
-
-from .. import template
+from .. import N_
+from .. import _
 from .. import errors
-
-from ..backoffice.menu import html_top
+from .. import get_cfg
+from .. import get_logger
+from .. import misc
+from .. import saml2utils
+from .. import template
+from .. import x509utils
 from ..admin.menu import command_icon
-
-from .base import AuthMethod
+from ..backoffice.menu import html_top
+from ..form import *
 from ..storage import atomic_write
-
-from .. import x509utils
-from .. import saml2utils
+from ..tokens import Token
+from .base import AuthMethod
 
 ADMIN_TITLE = N_('SAML2')
 
diff --git a/wcs/qommon/ident/password.py b/wcs/qommon/ident/password.py
index 9bab5bbf..f5d9e5a5 100644
--- a/wcs/qommon/ident/password.py
+++ b/wcs/qommon/ident/password.py
@@ -14,38 +14,41 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
+import csv
 import random
 import time
-import csv
-
-from .base import AuthMethod, NoSuchMethodForUserError
 
-from quixote import redirect, get_publisher
-from quixote.directory import AccessControlled, Directory
-from quixote.html import TemplateIO, htmltext
+from quixote import get_publisher
+from quixote import redirect
+from quixote.directory import AccessControlled
+from quixote.directory import Directory
+from quixote.html import TemplateIO
+from quixote.html import htmltext
 
-from .. import _, ngettext, N_
-from ..form import *
+from wcs.qommon.admin.texts import TextsDirectory
 
-from ..publisher import get_publisher_class
-from .. import misc, get_cfg, get_logger
+from .. import N_
+from .. import _
 from .. import emails
+from .. import errors
+from .. import get_cfg
+from .. import get_logger
+from .. import misc
+from .. import ngettext
+from .. import storage as st
 from .. import template
 from .. import tokens
-from .. import errors
-
+from ..admin.emails import EmailsDirectory
 from ..admin.menu import command_icon
-
+from ..afterjobs import AfterJob
 from ..backoffice.menu import html_top
-
-from ..admin.emails import EmailsDirectory
-from wcs.qommon.admin.texts import TextsDirectory
-
 from ..cron import CronJob
-from ..afterjobs import AfterJob
-from .. import storage as st
-
-from .password_accounts import PasswordAccount, HASHING_ALGOS
+from ..form import *
+from ..publisher import get_publisher_class
+from .base import AuthMethod
+from .base import NoSuchMethodForUserError
+from .password_accounts import HASHING_ALGOS
+from .password_accounts import PasswordAccount
 
 
 def notify_admins_user_registered(account):
diff --git a/wcs/qommon/ident/password_accounts.py b/wcs/qommon/ident/password_accounts.py
index 249da12a..d0d9f268 100644
--- a/wcs/qommon/ident/password_accounts.py
+++ b/wcs/qommon/ident/password_accounts.py
@@ -16,11 +16,14 @@
 
 import hashlib
 
-from django.contrib.auth.hashers import check_password, make_password
-from django.utils.encoding import force_bytes, force_text
+from django.contrib.auth.hashers import check_password
+from django.contrib.auth.hashers import make_password
+from django.utils.encoding import force_bytes
+from django.utils.encoding import force_text
 from quixote import get_publisher
 
 from wcs.qommon import force_str
+
 from ..storage import StorableObject
 
 HASHING_ALGOS = {
diff --git a/wcs/qommon/logger.py b/wcs/qommon/logger.py
index 2b38f52f..1b2e112a 100644
--- a/wcs/qommon/logger.py
+++ b/wcs/qommon/logger.py
@@ -17,7 +17,9 @@
 import logging
 import os
 
-from quixote import get_publisher, get_session, get_request
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_session
 from quixote.logger import DefaultLogger
 
 
diff --git a/wcs/qommon/management/commands/cron.py b/wcs/qommon/management/commands/cron.py
index ab30fbe2..b92f3d40 100644
--- a/wcs/qommon/management/commands/cron.py
+++ b/wcs/qommon/management/commands/cron.py
@@ -16,16 +16,17 @@
 
 from __future__ import print_function
 
+import os
 import tempfile
 import time
-import os
 
 from django.conf import settings
-from django.core.management.base import BaseCommand, CommandError
-from wcs.qommon.publisher import get_publisher_class
+from django.core.management.base import BaseCommand
+from django.core.management.base import CommandError
 
-from wcs.qommon.vendor import locket
 from wcs.qommon.cron import cron_worker
+from wcs.qommon.publisher import get_publisher_class
+from wcs.qommon.vendor import locket
 from wcs.wf.jump import JUMP_TIMEOUT_INTERVAL
 
 
diff --git a/wcs/qommon/misc.py b/wcs/qommon/misc.py
index ec59ee90..a59921c7 100644
--- a/wcs/qommon/misc.py
+++ b/wcs/qommon/misc.py
@@ -14,20 +14,20 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, see <http://www.gnu.org/licenses/>.
 
+import base64
+import calendar
 import datetime
 import decimal
-import calendar
+import hashlib
 import html
 import io
-import re
-import os
-import time
-import urllib.parse
-import base64
 import json
+import os
+import re
 import subprocess
+import time
 import unicodedata
-import hashlib
+import urllib.parse
 
 import requests
 from requests.adapters import HTTPAdapter
@@ -38,19 +38,26 @@ except ImportError:
     Image = None
 
 from django.conf import settings
+from django.template import TemplateSyntaxError
+from django.template import VariableDoesNotExist
 from django.utils import datetime_safe
 from django.utils.encoding import force_text
 from django.utils.formats import localize
 from django.utils.html import strip_tags
-from django.template import TemplateSyntaxError, VariableDoesNotExist
 from django.utils.text import Truncator
-
-from quixote import get_publisher, get_response, get_request, redirect
+from quixote import get_publisher
+from quixote import get_request
+from quixote import get_response
+from quixote import redirect
 from quixote.html import htmltext
 
-from . import _, force_str
-from . import get_cfg, get_logger, ezt
-from .errors import ConnectionError, RequestError
+from . import _
+from . import ezt
+from . import force_str
+from . import get_cfg
+from . import get_logger
+from .errors import ConnectionError
+from .errors import RequestError
 from .template import Template
 
 try:
